Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® OS Smartphones

Reply
Regular Contributor
Posts: 58
Registered: ‎08-04-2009
My Device: Z30
My Carrier: AT&T

Blackberry Maps

When checking the Applications list (Options - Advanced Options - Applications) I have Blackberry Maps 4.6.1 installed in my Curve 8900. I can't find the Icon to run the program.Selected the Show All options (so no Icons were hidden), but I still don't find the BlackBerry Maps Icon. Tried to download it again, using the BB I went to the Blackberry mobile website, when I tried to download it I get a message that I cannot download it because I don't meet the requirements. My network is AT&T EDGE/3G (although the 8900 is EDGE but no 3G). Anny suggestions?
Elite II
Posts: 9,321
Registered: ‎04-01-2008
My Device: Torch 9800
My Carrier: grameenphone

Re: Blackberry Maps

Click Menu and select Show All. This will make visiable all the hidden icon as dim.

tanzim                                                                                  
If your query is resolved then please click on Accept as Solution

Click on the LIKE on the bottom right if the post deserves credit

New Developer
Posts: 4
Registered: ‎10-18-2009
My Device: Not Specified

Re: Blackberry Maps

Actually the main reason is that AT&T blocks BB Maps from their phones to encourage their users to subscribe to telenav (who pays them in return).

New Member
Posts: 1
Registered: ‎12-19-2009
My Device: 8900
My Carrier: XL

Re: Blackberry Maps

As far i know before you download it it say only support for firmware 4.1 or 4.2 , i guess that why it cannot run on newest firmware

Highlighted
Posts: 95,514
Likes: 24,546
Solutions: 6,397
Registered: ‎04-01-2008
My Device: Passport • Z30 • Z10 • Torch9850 • Playbook
My Carrier: Verizon

Re: Blackberry Maps

 


badkunio wrote:

As far i know before you download it it say only support for firmware 4.1 or 4.2 , i guess that why it cannot run on newest firmware


 

Nope. As stated, ATT disables use of BlackBerry Maps on their devices. It has nothing to do with the OS version.

 



1. If any post helps you please click the Like Button below the post(s) that helped you.
2. Please resolve your thread by marking the post "Solution?" which solved it for you!
3. Install free BlackBerry Protect today for backups of contacts and data.
4. Guide to Unlocking your BlackBerry & Unlock Codes
Join our BBM Channels (Beta)
BlackBerry Support Forums Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code